<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace webbasys\includee\datamenu {

  
  class DataMenuWebShopArtikelUebersicht extends \DataMenuMainTopLeft
  {
    protected $dbwArtikel;
    protected $blaettern;

    public function __construct($urlParam)
    {
      parent::__construct($urlParam);
      $this->dbwArtikel = new \DBWorkArtikel();
      $this->dbwArtikel->newSearch();

      $this->exportadapter = new \ExpArtikel();

      
      
      

      
      
      
      

      
      
      
      

      
    }

    public function prepareMainmenu()
    {
      if ($this->urlparameter->katid !== '') {
        $this->dbwArtikel->fromobject->suche_kategorie = array($this->urlparameter->katid);
      }

      $alleIds = $this->dbwArtikel->getArtikelNrs();
      $eintraegeProSeite = $this->toolsettings->webshopArtikelProSeite;
      $seite = $this->urlparameter->seite;
      $this->blaettern = new \Kufer\KuferTools\Utils\Blaettern($alleIds, $eintraegeProSeite, $seite);

      
      if (isset($this->urlparameter->katvaterid)) {
        unset($this->urlparameter->katvaterid);
      }
      

      $link = $this->urlparameter->copy();
      $link->seite = '';
      $link->implodeSettings();

      $blaetternLink = \Kufer\Web\Classes\Api\BlaetternAPI::getInstance()->convertBlaetternToBlaetternLink($this->blaettern, $link->stream);

      $this->exportadapter->setBlaetternInfo($blaetternLink);

      parent::prepareMainmenu();
    }

    public function _getClickPath($pName = 'Artikel')
    {
      $this->_setStdClickPath($pName, 'clickWSArtikelUebersicht');

      return $this->clickpfad;
    }

    public function getsight($sightid = 583)
    {
      parent::getsight($sightid);
    }

    public function getdataarraybody()
    {
      $kursnummernAufSeite = $this->blaettern->getItemsOnCurrentPage();
      $this->dataarraybody = $this->dbwArtikel->getArtikelByIdsKeepOrder($kursnummernAufSeite);
    }
  }
}